
#include "F2837xD_device.h"     // F2837xD Headerfile Include File

void SpiaSlaveConfig(void)
{
	EALLOW;
	SpiaRegs.SPICCR.bit.SPISWRESET = 0;		//SPI software reset
	SpiaRegs.SPICCR.bit.SPICHAR = 0; 		//SPI character length 1 bit

	SpiaRegs.SPICTL.bit.MASTER_SLAVE = 0; 	//SPI (SLAVE)
	SpiaRegs.SPICTL.bit.OVERRUNINTENA = 0; 	//SPI receive overrun interrupt
	//SpiaRegs.SPICTL.bit.SPIINTENA = 1;      //SPI data ready interrupt enable

	SpiaSlaveFifoConfig();
	SpiaRegs.SPICCR.bit.SPISWRESET = 1;		//Release SPI software reset
	EDIS;
}

void SpiaSlaveFifoConfig(void)
{
	EALLOW;
	SpiaRegs.SPIFFTX.bit.SPIFFENA    = 1;	//Enable SPI FIFO
	SpiaRegs.SPIFFTX.bit.SPIRST   	 = 1;	//SPI FIFO can TX (or) RX

	SpiaRegs.SPIFFRX.bit.RXFIFORESET = 0;	//Reset FIFO pointer to 0
	SpiaRegs.SPIFFRX.bit.RXFFIENA	 = 1;	//Enable RX FIFO interrupt
	SpiaRegs.SPIFFRX.bit.RXFFIL		 = 0x10;//Generate RX FIFO interrupt after receving 16 words

	SpiaRegs.SPIFFRX.bit.RXFIFORESET = 1;	//Enable RX FIFO operation
	EDIS;
}

/*

void SpibMasterConfig(void)
{
	EALLOW;
	SpibRegs.SPICCR.bit.SPISWRESET = 0;		//SPI software reset
	SpibRegs.SPICCR.bit.SPICHAR = 0xF; 		//SPI character length 16 bit

	SpibRegs.SPICTL.bit.MASTER_SLAVE = 1; 	//SPI (Master)

	SpibMasterFifoConfig();
	SpibRegs.SPICCR.bit.SPISWRESET = 1;		//Release SPI software reset
	EDIS;
}

void SpibMasterFifoConfig(void)
{
	EALLOW;
	SpibRegs.SPIFFTX.bit.SPIFFENA    = 1;	//Enable SPI FIFO
	SpibRegs.SPIFFTX.bit.SPIRST   	 = 1;	//SPI FIFO can TX (or) RX

	SpibRegs.SPIFFTX.bit.TXFIFO      = 1;	//Release TX FIFO from reset
	SpibRegs.SPIFFTX.bit.TXFFIENA    = 1; 	//Enable TX FIFO interrupt


	SpibRegs.SPIFFRX.bit.RXFIFORESET = 0;	//Reset FIFO pointer to 0
	SpibRegs.SPIFFRX.bit.RXFFIENA	 = 1;	//Enable RX FIFO interrupt
	SpibRegs.SPIFFRX.bit.RXFFIL		 = 0x10;//Generate RX FIFO interrupt after receving 16 words

	SpibRegs.SPIFFRX.bit.RXFIFORESET = 1;	//Enable RX FIFO operation
	EDIS;
}
*/
